/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2016 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.introspection;

import java.util.Collection;

/**
 * Generic interface for introspection items provided by kernel services to
 * {@link KernelIntrospectionSystemService KISS}.
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating RED Hash:
 */
public interface IIntrospectionItem {
	/** The label of the introspection item. */
	public String getIntrospectionLabel();

	/** Returns whether this item is supposed to be shown in the KISS navigation tree. */
	public boolean showInIntrospectionNavigation();

	/** Returns the child items provided by this item. May return {@code null} or empty list. */
	public Collection<IIntrospectionItem> getIntrospectionItems();
}
